<?xml version="1.0" encoding="utf-8" standalone="no"?>
<?taxonomy-version 1.0.0.0?>
<?taxonomy-date 2025-04-22?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef roleURI="https://www.sfpi-group.com/role/Actif" xlink:type="simple" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#Actif" />
  <link:roleRef roleURI="https://www.sfpi-group.com/role/Passif" xlink:type="simple" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#Passif" />
  <link:roleRef roleURI="https://www.sfpi-group.com/role/CompteResultat" xlink:type="simple" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#CompteResultat" />
  <link:roleRef roleURI="https://www.sfpi-group.com/role/Oci" xlink:type="simple" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#Oci" />
  <link:roleRef roleURI="https://www.sfpi-group.com/role/Tft" xlink:type="simple" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#Tft" />
  <link:roleRef roleURI="https://www.sfpi-group.com/role/Tft_1" xlink:type="simple" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#Tft_1" />
  <link:calculationLink xlink:type="extended" xlink:role="https://www.sfpi-group.com/role/Actif">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:label="loc_ifrs-full_Goodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_Goodwill" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssets" xlink:label="loc_ifrs-full_RightofuseAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_RightofuseAssets" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets" weight="1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_DeferredTaxAssets" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InventoriesTotal" xlink:label="loc_ifrs-full_InventoriesTotal" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_InventoriesTotal" weight="1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="loc_ifrs-full_CurrentTradeReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CurrentTradeReceivables" weight="1" order="8" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentAssets" xlink:label="loc_ifrs-full_OtherCurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_OtherCurrentAssets" weight="1" order="9" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CashAndCashEquivalents" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_NoncurrentAssets" weight="1" order="12" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_CurrentAssets" weight="1" order="13" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.sfpi-group.com/role/Passif">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="loc_ifrs-full_IssuedCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_IssuedCapital" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="loc_ifrs-full_RetainedEarnings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_RetainedEarnings" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_ResultGroupPart" xlink:label="loc_SFPI_ResultGroupPart" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_SFPI_ResultGroupPart" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="loc_ifrs-full_NoncontrollingInterests" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_NoncontrollingInterests" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:label="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits" weight="1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="loc_ifrs-full_LongtermBorrowings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_LongtermBorrowings" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities" weight="1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="loc_ifrs-full_DeferredTaxLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_DeferredTaxLiabilities" weight="1" order="8" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisions" xlink:label="loc_ifrs-full_CurrentProvisions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentProvisions" weight="1" order="9" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:label="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherPayablesToTradeSuppliers" xlink:label="loc_ifrs-full_TradeAndOtherPayablesToTradeSuppliers" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_TradeAndOtherPayablesToTradeSuppliers" weight="1" order="12" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="loc_ifrs-full_CurrentTaxLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentTaxLiabilities" weight="1" order="13" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentLiabilities" xlink:label="loc_ifrs-full_OtherCurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_OtherCurrentLiabilities" weight="1" order="14" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Equity" weight="1" order="15" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_NoncurrentLiabilities" weight="1" order="16" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_CurrentLiabilities" weight="1" order="17" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.sfpi-group.com/role/CompteResultat">
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_GrossProfitByNature" xlink:label="loc_SFPI_GrossProfitByNature" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_GrossProfitByNature" xlink:to="loc_ifrs-full_Revenue" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:label="loc_ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_GrossProfitByNature" xlink:to="loc_ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" weight="-1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="loc_ifrs-full_RawMaterialsAndConsumablesUsed" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_GrossProfitByNature" xlink:to="loc_ifrs-full_RawMaterialsAndConsumablesUsed" weight="-1" order="2" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_ProfitLossFromOrdinaryActivities" xlink:label="loc_SFPI_ProfitLossFromOrdinaryActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_SFPI_GrossProfitByNature" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_OtherOperatingIncomeFromOrdinaryActivities" xlink:label="loc_SFPI_OtherOperatingIncomeFromOrdinaryActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_SFPI_OtherOperatingIncomeFromOrdinaryActivities" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_ProvisionExpense" xlink:label="loc_SFPI_ProvisionExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_SFPI_ProvisionExpense" weight="-1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ServicesExpense" xlink:label="loc_ifrs-full_ServicesExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_ifrs-full_ServicesExpense" weight="-1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TaxExpenseOtherThanIncomeTaxExpense" xlink:label="loc_ifrs-full_TaxExpenseOtherThanIncomeTaxExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_ifrs-full_TaxExpenseOtherThanIncomeTaxExpense" weight="-1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="loc_ifrs-full_EmployeeBenefitsExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_ifrs-full_EmployeeBenefitsExpense" weight="-1" order="8" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_DepreciationAndAmortisationExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_ifrs-full_DepreciationAndAmortisationExpense" weight="-1" order="9" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_OtherOperatingExpensesFromOrdinaryActivities" xlink:label="loc_SFPI_OtherOperatingExpensesFromOrdinaryActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_ProfitLossFromOrdinaryActivities" xlink:to="loc_SFPI_OtherOperatingExpensesFromOrdinaryActivities" weight="-1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_SFPI_ProfitLossFromOrdinaryActivities" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_RestructuringCosts" xlink:label="loc_SFPI_RestructuringCosts" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_SFPI_RestructuringCosts" weight="1" order="12" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_OtherNonCurrentProfitAndLoss" xlink:label="loc_SFPI_OtherNonCurrentProfitAndLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_SFPI_OtherNonCurrentProfitAndLoss" weight="1" order="13" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="loc_ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" weight="-1" order="14" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_CostGainOfNetDebt" xlink:label="loc_SFPI_CostGainOfNetDebt" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestIncomeOnCashAndCashEquivalents" xlink:label="loc_ifrs-full_InterestIncomeOnCashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CostGainOfNetDebt" xlink:to="loc_ifrs-full_InterestIncomeOnCashAndCashEquivalents" weight="1" order="15" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_CostOfDebt" xlink:label="loc_SFPI_CostOfDebt" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CostGainOfNetDebt" xlink:to="loc_SFPI_CostOfDebt" weight="1" order="16" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities" weight="1" order="17" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_SFPI_CostGainOfNetDebt" weight="1" order="18" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinanceIncomeCost" xlink:label="loc_ifrs-full_OtherFinanceIncomeCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_OtherFinanceIncomeCost" weight="1" order="19" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossBeforeTax" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" weight="-1" order="21" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" weight="1" order="22" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.sfpi-group.com/role/Oci">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" weight="-1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" xlink:label="loc_ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" weight="1" order="4" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.sfpi-group.com/role/Tft">
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:label="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_ifrs-full_ProfitLoss" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustmentsForAmortisationExpenseExcludedRightOfUse" xlink:label="loc_SFPI_AdjustmentsForAmortisationExpenseExcludedRightOfUse" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_SFPI_AdjustmentsForAmortisationExpenseExcludedRightOfUse" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustmentsForAmotisationExpenseRightOfUse" xlink:label="loc_SFPI_AdjustmentsForAmotisationExpenseRightOfUse" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_SFPI_AdjustmentsForAmotisationExpenseRightOfUse" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="loc_ifrs-full_AdjustmentsForProvisions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_ifrs-full_AdjustmentsForProvisions" weight="-1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" weight="-1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" weight="-1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates" xlink:label="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" weight="1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" weight="1" order="8" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustmentsForDecreaseIncreaseInTradeReceivablesAndDepositsFromCustomersAndPrepaidIncome" xlink:label="loc_SFPI_AdjustmentsForDecreaseIncreaseInTradeReceivablesAndDepositsFromCustomersAndPrepaidIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_SFPI_AdjustmentsForDecreaseIncreaseInTradeReceivablesAndDepositsFromCustomersAndPrepaidIncome" weight="1" order="9" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustmentsForDecreaseIncreaseInTradePayablesAndPrepaidExpenses" xlink:label="loc_SFPI_AdjustmentsForDecreaseIncreaseInTradePayablesAndPrepaidExpenses" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_SFPI_AdjustmentsForDecreaseIncreaseInTradePayablesAndPrepaidExpenses" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustmentsForDecreaseIncreaseInTaxReceivablesAndLiabilities" xlink:label="loc_SFPI_AdjustmentsForDecreaseIncreaseInTaxReceivablesAndLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_SFPI_AdjustmentsForDecreaseIncreaseInTaxReceivablesAndLiabilities" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustmentsForDecreaseIncreaseInOtherAssetsAndOtherLiabilities" xlink:label="loc_SFPI_AdjustmentsForDecreaseIncreaseInOtherAssetsAndOtherLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_SFPI_AdjustmentsForDecreaseIncreaseInOtherAssetsAndOtherLiabilities" weight="1" order="12" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" weight="1" order="13" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_ProceedsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwill" xlink:label="loc_SFPI_ProceedsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_SFPI_ProceedsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwill" weight="1" order="14" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" weight="1" order="15" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" weight="-1" order="16" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_PurchaseOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwill" xlink:label="loc_SFPI_PurchaseOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_SFPI_PurchaseOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwill" weight="-1" order="17" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" weight="-1" order="18" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" weight="1" order="19" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_ProceedsFromOthersLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_SFPI_ProceedsFromOthersLiabilitiesClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_SFPI_ProceedsFromOthersLiabilitiesClassifiedAsFinancingActivities" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" weight="-1" order="21" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" weight="-1" order="22" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_RepaymentsOfOtherLiabilitiesClassifiedAsFinanciengActivities" xlink:label="loc_SFPI_RepaymentsOfOtherLiabilitiesClassifiedAsFinanciengActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_SFPI_RepaymentsOfOtherLiabilitiesClassifiedAsFinanciengActivities" weight="1" order="23" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustementsForCostOfNetDebt" xlink:label="loc_SFPI_AdjustementsForCostOfNetDebt" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_SFPI_AdjustementsForCostOfNetDebt" weight="-1" order="24" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" weight="-1" order="25" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" weight="-1" order="26" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" weight="-1" order="27" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" weight="1" order="28" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" weight="1" order="29" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" weight="1" order="30" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" weight="1" order="31" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_NetCash" xlink:label="loc_SFPI_NetCash" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_NetCash" xlink:to="loc_ifrs-full_CashAndCashEquivalents" weight="1" order="32" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BankOverdraftsClassifiedAsCashEquivalents" xlink:label="loc_ifrs-full_BankOverdraftsClassifiedAsCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_SFPI_NetCash" xlink:to="loc_ifrs-full_BankOverdraftsClassifiedAsCashEquivalents" weight="-1" order="33" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.sfpi-group.com/role/Tft_1">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:label="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_SFPI_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="969500P37RPOIG33A760-2024-12-31.xsd#SFPI_AdjustementsForCostOfNetDebt" xlink:label="loc_SFPI_AdjustementsForCostOfNetDebt" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_SFPI_AdjustementsForCostOfNetDebt" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="loc_ifrs-full_AdjustmentsForIncomeTaxExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_ifrs-full_AdjustmentsForIncomeTaxExpense" weight="1" order="2" />
  </link:calculationLink>
</link:linkbase>